<?php

namespace App\JsonRpc;

interface FormServiceInterface
{
    /**
     * @param array $data
     */
    public function addGlobalTable(array $data);
    /**
     * @param array $data
     */
    public function getGlobalTableList(array $data);
    /**
     * @param array $data
     */
    public function getGlobalTable(array $data);
    /**
     * @param array $data
     */
    public function upGlobalTable(array $data);
    /**
     * @param array $data
     */
    public function delGlobalTable(array $data);
    /**
     * @param array $data
     */
    public function getGlobalTableFieldList(array $data);
    /**
     * @param array $data
     */
    public function addGlobalTableField(array $data);
    /**
     * @param array $data
     */
    public function upGlobalTableField(array $data);
    /**
     * @param array $data
     */
    public function delGlobalTableField(array $data);
    /**
     * @param array $data
     */
    public function getGlobalTableField(array $data);
    /**
     * @param array $data
     */
    public function getGlobalTableData(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getGlobalTableFieldTypeList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delGlobalTableData(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getGlobalTableDataById(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function updateGlobalTableData(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebGlobalTableFieldList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addWebGlobalTableData(array $data);
}
