<?php

declare (strict_types = 1);

namespace App\Task;
use App\JsonRpc\NewsServiceInterface;
use Hyperf\Contract\StdoutLoggerInterface;
use Hyperf\Di\Annotation\Inject;
use Psr\Log\LoggerInterface;

class TsbbTask
{
    /**
     * @var NewsServiceInterface
     */
    #[Inject]
    private $newsServiceClient;
    /**
     * @Inject
     * @var StdoutLoggerInterface
     */
    private $logger;
    public function __construct(LoggerInterface $logger)
    {
        date_default_timezone_set('Asia/Shanghai');
        $this->logger = $logger;
    }
    public function __invoke()
    {
        var_dump("TsbbTask================");
        $this->logger->info('TsbbTask================');
        $requireData = [
            'website_id' => 50,
        ];
        var_dump("#############");
        $this->newsServiceClient->getWebsiteTsbb($requireData);;

    }

}
